Contributing
============

We welcome all kinds of contributions whether it is a bug, a new feature,
documentation, etc.

Please follow these guidelines when contributing to this project.


## Bug Reporting

If anything feels like a bug, it is probably a bug. But if it isn't, we're happy
to let you know why :smile:. When submitting your issue, follow these tips:

* Include an thorough environment description:
  - Operating System;
  - Ruby version;
  - Gem versions (include your `Gemfile.lock` when not sure);
* Describe the bug as well as possible so that we can reproduce it;
* If possible, provide a code sample that showcases the issue.


## Pull Requests

Pull requests are **always** welcome. After that we'll review it and get back to
you on it. To increase the chance of your PR being accepted, follow these tips:

* Your changes **must** pass in the [CI][ci];
* If your changes include code, it **must** be tested (if not sure how, we're
  here to help);
* **Avoid** breaking the conventions set by existing code unless you have a very
  good reason for it (just because there isn't a linter to catch it, doesn't
  mean it's ok);
* After your changes get approved, you **must** squash all your commits to the
  minimal logical set (which is _one_, unless instructed otherwise);
* **It's ok to ask for help**: if you're struggling to finish implementing your
  idea, reach out to us and we'll try to point you in the right direction.


## Thank you

Thank you for even considering helping out. You're awesome! :heart:


[ci]: https://travis-ci.org/pfac/webtrap
